#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Params
%define		pnam	Validate
Summary:	Params::Validate - validate method/function parameters
Summary(pl.UTF-8):	Params::Validate - sprawdzanie poprawności parametrów funkcji/metody
Name:		perl-Params-Validate
Version:	1.26
Release:	1
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e7bf5293fde78210f085c4ff32ee342
URL:		http://search.cpan.org/dist/Params-Validate/
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build >= 0.3601
%if %{with tests}
BuildRequires:	perl-Attribute-Handlers >= 0.79
BuildRequires:	perl-Module-Implementation >= 0.04
BuildRequires:	perl-Scalar-List-Utils >= 1.10
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Taint >= 0.02
%endif
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity.  At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in.

It is also capable of determining that a parameter is of a specific
type, that it is an object of a certain class hierarchy, that it
possesses certain methods, or applying validation callbacks to
arguments.

%description -l pl.UTF-8
Moduł Params::Validate pozwala na sprawdzanie poprawności parametrów,
z jakimi wywołana została funkcja lub metoda, na dowolnym poziomie
szczegółowości.  W najprostszym przypadku możliwe jest sprawdzenie,
czy podane zostały parametry wymagane i czy nie podano dodatkowych,
nie rozpoznawanych.

Potrafi także określić czy parametr jest konkretnego typu, czy jest
obiektem danej hierarchii, czy posiada zadane metody, lub przypisać
argumentom callbacki (a, i tak wszyscy wiedzą, o co chodzi... ;-> )
sprawdzające.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	--config cc="%{__cc}" \
	--config ld="%{__cc}" \
	--config optimize="%{rpmcflags}"

%{__perl} ./Build

%{?with_tests:%{__perl} ./Build test}

%install
rm -rf $RPM_BUILD_ROOT

%{__perl} ./Build install \
	destdir=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Params/Validate/XS/XS.bs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%dir %{perl_vendorarch}/Params
%{perl_vendorarch}/Params/Validate.pm
%{perl_vendorarch}/Params/ValidatePP.pm
%{perl_vendorarch}/Params/ValidateXS.pm
%{perl_vendorarch}/Params/Validate
%dir %{perl_vendorarch}/auto/Params
%dir %{perl_vendorarch}/auto/Params/Validate
%dir %{perl_vendorarch}/auto/Params/Validate/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Params/Validate/XS/XS.so
%{_mandir}/man3/Params::Validate*.3pm*
%changelog
* Sat Nov 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Params-Validate.git;a=log;h=master

* Sat Nov 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 7866440
- updated to 1.26
- Attribute::Params::Validate moved to separate spec (perl-Attribute-Params-Validate, latest version is 1.21)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 9a6353b
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c360396
- release 2 (by relup.sh)

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1679268
- up to 1.19

* Wed Mar 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 6adfd6d
- updated Test::More version

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 278cecc
- up to 1.18

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> bc6b8d2
- x32 rebuild
- release 2 (by relup.sh)

* Mon Feb 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 46ac0e9
- updated to 1.17

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d5f099b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2ca46c4
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d72605
- updated to 1.08

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 96e5b62
- drop perl-Scalar-List-Utils BR; provided by perl-moduels now

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4c11c3f
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 5c983ee
- updated to 1.06

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 4ba5c69
- up to 1.01

* Mon Dec 05 2011 Jakub Bogusz <qboosh@pld-linux.org> eba5aef
- updated BRs

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f1cbd7
- up to 1.00

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 423eb6b
- updated to 0.95; uses Module::Build now

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 8ebed6b
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 923e885
- release 2

